package com.qs.mp.channel.domain.vo;

import com.qs.mp.channel.domain.ChannelGoodsOrder;
import com.qs.mp.channel.domain.ChannelGoodsOrderItem;
import com.qs.mp.common.domain.DeliveryCompany;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangkaikai
 * @create 2023-06-05 1:45 PM
 **/
@ApiModel("门店采购商品订单详情出参类")
@Data
public class ChannelGoodsOrderInfoVO extends ChannelGoodsOrder {

    @ApiModelProperty("自动确认收货时间")
    private String autoConfirmTime;

    private DeliveryCompany deliveryCompany;

    private ChannelGoodsOrderItem channelGoodsOrderItem;

}
