package com.qs.mp.channel.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.channel.domain.ChannelGoodsOrderItem;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.vo.ChannelGoodsOrderItemVO;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-06-05 11:01:39
 * @describe 经销商商品采购订单明细服务类
 */
public interface IChannelGoodsOrderItemService extends IService<ChannelGoodsOrderItem> {

    /**
     * 门店采购商品明细查询
     *
     * @param goodsOrderItemQueryWrapper
     * @return
     */
    List<ChannelGoodsOrderItemVO> selectChannelGoodsOrderItemVOList(QueryWrapper<ChannelGoodsOrderItem> goodsOrderItemQueryWrapper);
}
