package com.qs.mp.channel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.channel.domain.ChannelGoodsOrderItem;
import com.qs.mp.channel.domain.vo.ChannelGoodsOrderItemVO;
import com.qs.mp.channel.mapper.ChannelGoodsOrderItemMapper;
import com.qs.mp.channel.service.IChannelGoodsOrderItemService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-06-05 11:01:39
 * @describe 经销商商品采购订单明细服务实现类
 */
@Service
public class ChannelGoodsOrderItemServiceImpl extends ServiceImpl<ChannelGoodsOrderItemMapper, ChannelGoodsOrderItem> implements IChannelGoodsOrderItemService {

    @Override
    public List<ChannelGoodsOrderItemVO> selectChannelGoodsOrderItemVOList(QueryWrapper<ChannelGoodsOrderItem> goodsOrderItemQueryWrapper) {
        return getBaseMapper().selectChannelGoodsOrderItemVOList(goodsOrderItemQueryWrapper);
    }
}
